Package org.apache.tools.ant.util

## Interface Retryable

-     public interface Retryable

  Simple interface for executing a piece of code. Used for writing anonymous inner classes in FTP task for retry-on-IOException behaviour.
  See Also:
    `RetryHandler`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `RETRY_FOREVER` | The value to use to never give up.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Called to execute the code.

- - ### Field Detail

    - #### RETRY_FOREVER

          static final int RETRY_FOREVER

      The value to use to never give up.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### execute

          void execute()
                throws java.io.IOException

      Called to execute the code.
      Throws:
        `java.io.IOException` - if there is a problem.